Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment.event
Class AlignmentEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--uk.ac.man.bioinf.sequence.alignment.event.AlignmentEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VetoableAlignmentEvent

public class AlignmentEvent
extends EventObject

AlignmentEvent.java Instances of this class represent an event to a MSA. It includes reference to the location of the event, as well as its type. Created: Tue Feb 15 19:57:49 2000

Version:
  $Id: AlignmentEvent.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AlignmentEvent(Object src, int location, AlignmentEventType type)` Constructor to set the event source, location and type.
`AlignmentEvent(Object src, int start, int end, AlignmentEventType type)` Constructor to set the event source, location and type.

Method Summary
`int` | `getEnd()` Returns the end location of the event.
`int` | `getStart()` Returns the start location of the event.
`AlignmentEventType` | `getType()` Returns the multiple sequence event type.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlignmentEvent

    public AlignmentEvent(Object src,
                          int location,
                          AlignmentEventType type)

  Constructor to set the event source, location and type.

Parameters:
  `src` - the source of the event (i.e: the MSA)
  `location` - the location of the event, or zero if not known
  `type` - the multiple sequence event type

### AlignmentEvent

    public AlignmentEvent(Object src,
                          int start,
                          int end,
                          AlignmentEventType type)

  Constructor to set the event source, location and type. The location is split into a start and end location.

Parameters:
  `src` - the source of the event (i.e: the MSA)
  `start` - the start location of the event
  `end` - the end location of the event
  `type` - the multiple sequence event type

Method Detail

### getStart

    public int getStart()

  Returns the start location of the event.

  Returns:
    the start

### getEnd

    public int getEnd()

  Returns the end location of the event.

  Returns:
    the end

### getType

    public AlignmentEventType getType()

  Returns the multiple sequence event type.

  Returns:
    the event type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD